
From: Hugh Dickins <hugh@veritas.com>

/proc/$pid/smaps should be reporting in "kB" not "KB" (and pray that this
doesn't start another kibibytes war ;)

Signed-off-by: Hugh Dickins <hugh@veritas.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/proc/task_mmu.c |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

diff -puN fs/proc/task_mmu.c~smaps-say-kb-not-kb fs/proc/task_mmu.c
--- devel/fs/proc/task_mmu.c~smaps-say-kb-not-kb	2005-07-12 17:18:15.000000000 -0700
+++ devel-akpm/fs/proc/task_mmu.c	2005-07-12 17:18:15.000000000 -0700
@@ -273,12 +273,12 @@ static int show_smap(struct seq_file *m,
 		seq_path(m, file->f_vfsmnt, file->f_dentry, " \t\n\\");
 
 	seq_printf(m, "\n"
-		   "Size:          %8lu KB\n"
-		   "Rss:           %8lu KB\n"
-		   "Shared_Clean:  %8lu KB\n"
-		   "Shared_Dirty:  %8lu KB\n"
-		   "Private_Clean: %8lu KB\n"
-		   "Private_Dirty: %8lu KB\n",
+		   "Size:          %8lu kB\n"
+		   "Rss:           %8lu kB\n"
+		   "Shared_Clean:  %8lu kB\n"
+		   "Shared_Dirty:  %8lu kB\n"
+		   "Private_Clean: %8lu kB\n"
+		   "Private_Dirty: %8lu kB\n",
 		   vma_len >> 10,
 		   mss.resident >> 10,
 		   mss.shared_clean  >> 10,
_
